Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 285809 - gweather from gnome-base/gnome-applets 2.24.3.1 and dev-libs/libgweather 2.24.3 is not fully localized
Summary: gweather from gnome-base/gnome-applets 2.24.3.1 and dev-libs/libgweather 2.24...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gnome2.24
  Show dependency tree
 
Reported: 2009-09-21 07:08 UTC by Marcello Magaldi
Modified: 2009-10-22 09:54 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcello Magaldi 2009-09-21 07:08:32 UTC
Both gweather applet and the clock applet reports meteorogical terms in english also if my system is fully localized in italian.
For example :
I translated to english the terms before the colon to let you understand wich fields are not localized but the terms after the colon are in english also in my environment: 

Conditions : Thunderstorm (conditions is localized, thunderstorm not)
Wind : North
Sky : Scattered Clouds 

So I can see Conditions, Wind and Sky words translated to italian but Thunderstorm,North and Scattered Clouds are in english.

Reproducible: Always

Steps to Reproduce:
1.check the weather conditions both with gweather applet or clock applet
2.
3.

Actual Results:  
conditions are displayed in english

Expected Results:  
conditions should be localized in my language (italian)

emerge --info
Portage 2.1.6.13 (default/linux/amd64/2008.0/desktop, gcc-4.3.2, glibc-2.9_p20081201-r2, 2.6.30-gentoo-r5 x86_64)
=================================================================
System uname: Linux-2.6.30-gentoo-r5-x86_64-AMD_Athlon-tm-_64_X2_Dual_Core_Processor_5200+-with-gentoo-1.12.11.1
Timestamp of tree: Mon, 21 Sep 2009 05:15:02 +0000
distcc 3.1 x86_64-pc-linux-gnu [enabled]
ccache version 2.4 [enabled]
app-shells/bash:     4.0_p28
dev-java/java-config: 2.1.8-r1
dev-lang/python:     2.6.2-r1
dev-util/ccache:     2.4-r7
dev-util/cmake:      2.6.4
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=athlon64 -msse3 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=athlon64 -msse3 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distcc distlocks fixpackages metadata-transfer parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirror.jamit.de/gentoo/ http://gentoo.mneisen.org/ http://gentoo.tiscali.nl/"
LANG="it_IT.UTF-8@euro"
LDFLAGS="-Wl,-O1"
LINGUAS="it en en_US en_GB"
MAKEOPTS="-j7"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /usr/portage/local/layman/sunrise"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X a52 aac acl acpi alsa amd64 amr amrnb amrwb apache2 applet arts aspnet audiofile avahi bash-completion beagle berkdb bluetooth branding bzip2 c++ cairo cdaudio cdda cddb cdparanoia cdr chm cli cracklib crypt css cups cvs cxx dbus dga dri dts dv dvb dvd dvdnav dvdr eds emacs emboss encode epiphany esd evo exif expat fam fame ffmpeg firefox flac foomaticdb fortran ftp fuse galago gd gdbm gif gimp git glade gnome gnome-keyring gnome-print gnutls gphoto2 gpm gstreamer gtk guile hal hddtemp iconv id3tag imagemagick inotify ipv6 isdnlog jabber java java6 javascript joystick jpeg kde kpathsea ladspa lame latex lcms ldap libnotify libsamplerate live lm_sensors logitech-mouse lzo mad matroska mikmod mjpeg mmx mmxext mono mp3 mp4 mpeg mplayer msn mudflap multilib musepack musicbrainz mysql nautilus ncurses network nls nptl nptlonly nsplugin nuv nvidia odbc offensive ogg ogm opengl openmp pam pcre pdf perl php plotutils png ppds pppd pulseaudio python qt3 qt3support qt4 quicktime readline reflection samba scanner scrobbler sdl session shout smp sndfile socks5 sourceview speex spell spl sql sqlite sqlite3 sse sse2 ssl startup-notification subversion svg sysfs syslog taglib tcpd theora threads thunar thunderbird tiff timidity truetype twolame unicode upnp usb v4l v4l2 vcd videos vim-syntax vorbis wavpack wma wmf wxwidgets wxwindows x264 xcb xcomposite xemacs xine xml xorg xulrunner xv xvid xvmc yahoo zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="it en en_US en_GB" USERLAND="GNU" VIDEO_CARDS="nvidia vga vesa nv"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

emerge -pv libgweather gnome-applets

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] dev-libs/libgweather-2.24.3  USE="python -debug" 6,928 kB
[ebuild   R   ] gnome-base/gnome-applets-2.24.3.1  USE="acpi gnome gstreamer hal ipv6 -apm -debug -doc" 7,696 kB
Comment 1 Gilles Dartiguelongue gentoo-dev 2009-09-27 23:32:34 UTC
Please try 2.26.
Comment 2 Gilles Dartiguelongue gentoo-dev 2009-10-21 23:53:03 UTC
2.26 is now stable, please reopen with an updated status.
Comment 3 Marcello Magaldi 2009-10-22 09:10:50 UTC
(In reply to comment #2)
> 2.26 is now stable, please reopen with an updated status.
> 

Sorry I've made you wait, I forgot this bug :) , anyway here on 2.26 the localization seems fine.
Comment 4 Marcello Magaldi 2009-10-22 09:11:19 UTC
sorry I wrongly closed this bug
Comment 5 Gilles Dartiguelongue gentoo-dev 2009-10-22 09:54:03 UTC
thanks for the heads up.